**Grundlegende Informationen:**
Aggarwal, C. C. (2016). _Proximity-Based Outlier Detection. Outlier Analysis, 111–147._ doi:10.1007/978-3-319-47578-3_4

Cuadrado-Gallego, J.J., Demchenko, Y. (2023). Anomaly Detection. In: Data Analytics. Springer, Cham. https://doi.org/10.1007/978-3-031-39129-3_4

Prasad, S. (2024). Time Series. In: Advanced Statistical Methods. Springer, Singapore. https://doi.org/10.1007/978-981-99-7257-9_3

Zhang, Z., Wang, K., Dong, J. _et al._ SDROF: outlier detection algorithm based on relative skewness density ratio outlier factor. _Appl Intell_ **55**, 67 (2025). https://doi.org/10.1007/s10489-024-06092-8

Adari, S.K., Alla, S. (2024). Introduction to Anomaly Detection. In: Beginning Anomaly Detection Using Python-Based Deep Learning. Apress, Berkeley, CA. https://doi.org/10.1007/979-8-8688-0008-5_1

Ghamry, F.M., El-Banby, G.M., El-Fishawy, A.S. _et al._ A survey of anomaly detection techniques. _J Opt_ **53**, 756–774 (2024). https://doi.org/10.1007/s12596-023-01147-4

Rostovski, J., Ahmadilivani, M.H., Krivošei, A., Kuusik, A., Alam, M.M. (2024). Real-Time Gait Anomaly Detection Using 1D-CNN and LSTM. In: Särestöniemi, M., _et al._ Digital Health and Wireless Solutions. NCDHWS 2024. Communications in Computer and Information Science, vol 2084. Springer, Cham. https://doi.org/10.1007/978-3-031-59091-7_17

Darrab, S. _et al._ (2024). Anomaly Detection Algorithms: Comparative Analysis and Explainability Perspectives. In: Benavides-Prado, D., Erfani, S., Fournier-Viger, P., Boo, Y.L., Koh, Y.S. (eds) Data Science and Machine Learning. AusDM 2023. Communications in Computer and Information Science, vol 1943. Springer, Singapore. https://doi.org/10.1007/978-981-99-8696-5_7

Prasanna, S.S., Emil Selvan, G.S.R., Ramkumar, M.P. (2024). Protocol Anomaly Detection in IIoT. In: Das, P., Begum, S.A., Buyya, R. (eds) Advanced Computing, Machine Learning, Robotics and Internet Technologies. AMRIT 2023. Communications in Computer and Information Science, vol 1954. Springer, Cham. https://doi.org/10.1007/978-3-031-47221-3_4

Enayati, E., Mortazavi, R., Basiri, A. _et al._ Time series anomaly detection via clustering-based representation. _Evolving Systems_ **15**, 1115–1136 (2024). https://doi.org/10.1007/s12530-023-09543-8

Abanda, A., Pujana, A., Del Ser, J. (2024). Reconstruction-Based Anomaly Detection in Wind Turbine Operation Time Series Using Generative Models. In: Alonso-Betanzos, A., _et al._ Advances in Artificial Intelligence. CAEPIA 2024. Lecture Notes in Computer Science(), vol 14640. Springer, Cham. https://doi.org/10.1007/978-3-031-62799-6_20




**Ausblick und Modelle:**

Zhang, Z., Hou, Y., Jia, Y. _et al._ An outlier detection algorithm based on local density feedback. _Knowl Inf Syst_ (2025). https://doi.org/10.1007/s10115-024-02324-y

Liu, SZ., Ma, S., Chen, HQ. _et al._ Combining _K_NN with AutoEncoder for Outlier Detection. _J. Comput. Sci. Technol._ **39**, 1153–1166 (2024). https://doi.org/10.1007/s11390-023-2403-y

Anh, D.T., Hoai, T.L. (2024). Anomaly Detection in Univariate Time Series: HOT SAX vesus LSTM-Based Method. In: Cong Vinh, P., Thanh Tung, N. (eds) Context-Aware Systems and Applications. ICCASA 2023. Lecture Notes of the Institute for Computer Sciences, Social Informatics and Telecommunications Engineering, vol 579. Springer, Cham. https://doi.org/10.1007/978-3-031-58878-5_5

Hyun, YJ., Yoo, Y., Kim, Y. _et al._ Encoding Time Series as Images for Anomaly Detection in Manufacturing Processes Using Convolutional Neural Networks and Grad-CAM. _Int. J. Precis. Eng. Manuf._ **25**, 2583–2598 (2024). https://doi.org/10.1007/s12541-024-01069-6

Nalini, M., Yamini, B., Ambhika, C. _et al._ Enhancing early attack detection: novel hybrid density-based isolation forest for improved anomaly detection. _Int. J. Mach. Learn. & Cyber._ (2024). https://doi.org/10.1007/s13042-024-02460-5




