# Vorverarbeitung
+ Erfolgte durch die Autoren
+ 13 univariate Datensätze und 20 multivariate Datensätze wurden genommen
+ Aus den multivariaten wurden univariate erstellt für mehr Datenmengen
	+ erfolgte nach bestimmten Kriterien wie:
		+ Wichtigkeit zur Anomalieerkennung
		+ Korrelationen
+ Datensätze wurden einheitlich gelabelt
+ Keine fehlenden Daten

## Univariater Datensatz
+ Besteht aus 870 Dateien mit unterschiedlichen Kategorien
+ Gesamtmenge Datenpunkte: 33.768.217
+ Anteil Anomalien: 0.027 % 
+ Anzahl Anomalien total: 913.261
+ Größe: 315 MB
+ Kategorien:
	+ Medizin
	+ Haushallt
	+ Sensoren

## Teilung in Trainings- und Testdatensatz
+ Autoren haben Liste an Datensätze, welche für Training und Test verwendet wurden aufgelistet
+ Dateien dazu sind im Ordner /daten
**Einteilung in Punkt- und Sequenzanomalie pro Datensatz:**
+ Ordnerstruktur für `train`
	+ `all`
	+ `point`
	+ `sequence`
**Größe:**
*Trainingsdaten:*
+ Alle: 349 Zeitreihen
+ Mit nur Punktanomalien: 44
+ Mit nur Sequenzanomalien: 141

*Testdaten:* included in train
+ Alle: 48
+ Mit nur Punktanomalien: 11
+ Mit nur Sequenzanomalien: 17


# Training und Hyperparameter- Tuning:
- Anpassung der Code der Autoren
- Model wrapper vereinheitlicht Training und Tuning der Modelle
- Jede Zeitserie wird separat trainiert und für jede Zeitserie werden die optimalen Hyperparameter gespeichert (Daten sind sehr divers. Ermöglicht bessere Anpassung an die Modelle)


# Multivariate Daten
+ Besteht aus 200 Dateien
+ Größe: 2.4 GB

**Ideen zur Umsetzung und Fragen:**
- Wie können wir multivariate Daten trainieren? Neuronale Netze sind abhängig in der Eingabeschicht von der Anzahl der Features. Wie können wir da die Datensätze einteilen?
- Wie soll mit der unterschiedlichen Anzahl an Spalten und den verschiedenen Spaltennamen umgegangen werden?

